```@meta
CurrentModule = FractionalDiffEq
```

# FractionalDiffEq.jl

Hello there👋!

FractionalDiffEq.jl is a Julia package aiming at solving Fractional Differential Equations using high performance numerical methods.

!!! tip "Star Us"
	If you think **FractionalDiffEq.jl** is useful, please [star us on GitHub](httpd://github.com/SciFracX/FractionalDiffEq.jl), it means a lot to us!

## Installation

If you have already installed Julia, you can install FractionalDiffEq.jl in REPL using Julia package manager:

```julia
pkg> add FractionalDiffEq
```

## Features

While most fractional differential equations solvers are implemented using Matlab, **FractionalDiffEq.jl** is totally driven by [Julia](https://julialang.org/) and licensed with [MIT License](https://en.wikipedia.org/wiki/MIT_License), ensuring its everlasting development and open source. Benefit from the advancing features of JuliaLang, FractionalDiffEq.jl has impressive performance and high speed, helps the computing more efficient and robust. Also fractionalDiffEq.jl has the most solvers for FDE available.

* Fractional ordinary differential equations(FODE), single-term FODE, Multi-term FODE, nonlinear system of FODE(Caputo sense, Caputo-Fabrizio sense, Atangana-Baleanu sense, etc), variable order FODE.
* Fractional delay differential equations(FDDE), single lag FDDE, multiple lags FDDE, time varying lags FDDE, variable order FDDE, nonlinear system of FDDE.
* Fractional difference equations, single-term fractional difference equations and nonlinear system of fractional difference equations.
* Distributed order differential equations(DODE), single-term DODE and multi-term DODE.
* Fractional integral equations(FIE)

## Roadmap

* More algorithms are planned to support.

* Improve benchmark.

* Connect with SciML ecosystem.

* More interesting ideas~

## Contributing

Just by using FractionalDiffEq.jl you're already contributing!

The development of FractionalDiffEq.jl is on [GitHub](https://github.com/SciFracX/FractionalDiffEq.jl), please [report bugs](https://github.com/SciFracX/FractionalDiffEq.jl/issues) or [send pull requests](https://github.com/SciFracX/FractionalDiffEq.jl/pulls) to help FractionalDiffEq.jl grow.